a:link { color: #004faf; text-decoration: none } a:visited { color: #672967; text-decoration: none }body { background: white; color: black; } -->

| Classes - Annotated - Tree - Functions - Home - Structure Qte

# QXmlEntityResolver Class Reference
[ XML module ]

The QXmlEntityResolver class provides an interface to resolve extern entities contained in XML data. More...

`#include <qxml.h>`

Inherited by QXmlDefaultHandler.

List of all member functions.

## Public Members

- virtual bool resolveEntity ( const QString & publicId, const QString & systemId, QXmlInputSource * ret )
- virtual QString errorString ()

## Detailed Description

The QXmlEntityResolver class provides an interface to resolve extern entities contained in XML data.

If an application needs to implement customized handling for external entities, it must implement this interface and register it with QXmlReader::setEntityResolver().

See also the Introduction to SAX2.

See also QXmlDTDHandler, QXmlDeclHandler, QXmlContentHandler, QXmlErrorHandler and QXmlLexicalHandler.

## Member Function Documentation

### QString QXmlEntityResolver::errorString () `[virtual]`

The reader calls this function to get an error string if any of the handler functions returns FALSE to him.

### bool QXmlEntityResolver::resolveEntity ( const QString & publicId, const QString & systemId, QXmlInputSource * ret ) `[virtual]`

The reader will call this function before he opens any external entity, except the top-level document entity. The application may request the reader to resolve the entity itself (ret is 0) or to use an entirely different input source (ret points to the input source).

The reader will delete the input source ret when he no longer needs it. So you should allocate it on the heap with `new.`

The argument publicId is the public identifier of the external entity, systemId is the system identifier of the external entity and ret is the return value of this function: if it is 0 the reader should resolve the entity itself, if it is non-zero it must point to an input source which the reader will use instead.

If this function returns FALSE the reader will stop parsing and will report an error. The reader will use the function errorString() to get the error message that will be used for reporting the error.

Reimplemented in QXmlDefaultHandler.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2005 Trolltech, all rights reserved.